Bug ID 1106325: Upgrade from BIG-IP 16.1.3 to BIG-IP 17.0 does not work when FIPS mode is enabled

Last Modified: Nov 07, 2022

Bug Tracker

Affected Product:  See more info
BIG-IP Install/Upgrade, TMOS(all modules)

Known Affected Versions:
16.1.0, 16.1.1, 16.1.2, 16.1.2.1, 16.1.2.2

Fixed In:
16.1.3

Opened: May 13, 2022
Severity: 3-Major

Symptoms

Upgrade from BIG-IP 16.1.3 to BIG-IP 17.0 does not work when FIPS mode is enabled. Error displayed in console: 01070911:3: The requested integer (2) is out of range (0 - 1) for fipscipherversion in httpd (/Common/httpd) Unexpected Error: Loading configuration process failed.

Impact

Upgrade from version 16.1.3 to version 17.0 fails when FIPS enabled.

Conditions

- BIG-IP 16.1.3 - FIPS 140-3 license is installed on BIG-IP 16.1.3 or its a FullBoxFIPS device. When FIPS 140-3 is enabled in BIG-IP 16.1.3 then the upgrade to version 17.0 will fail.

Workaround

Disable the FIPS 140-3 license and then perform the upgrade.

Fix Information

None

Behavior Change